# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "jacquard-macros"
version = "0.9.0"
authors = ["Sam Hart"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for Jacquard effect and handler boundaries"
homepage = "https://github.com/hxrts/jacquard"
documentation = "https://github.com/hxrts/jacquard/tree/main/docs"
readme = false
license = "Apache-2.0"
repository = "https://github.com/hxrts/jacquard"

[lib]
name = "jacquard_macros"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "integration"
path = "tests/integration.rs"

[[test]]
name = "regression"
path = "tests/regression.rs"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.rust-toolkit-trait-contracts]
version = "0.4.1"

[dependencies.syn]
version = "2"
features = ["full"]

[dev-dependencies.serde]
version = "1"
features = [
    "alloc",
    "derive",
]
default-features = false

[dev-dependencies.trybuild]
version = "1"
